## cascading.pipe.cogroup
Class MixedJoin

    java.lang.Object
      cascading.pipe.cogroup.MixedJoin

All Implemented Interfaces:
  Joiner, Serializable

    public class MixedJoin

extends Object
implements Joiner

Class MixedJoin will return an `Iterator` that will iterate over a given `Joiner` and return tuples that represent a join as defined by the given boolean array.

So if joining three streams, `boolean []{true,false,false}` will result in a 'inner', 'outer', 'outer' join.

See Also:
  Serialized Form

Nested Class Summary
`protected class` `MixedJoin.JoinIterator`

Field Summary
`static boolean` `INNER` Field INNER
`static boolean` `OUTER` Field OUTER

Constructor Summary
`MixedJoin(boolean[] asInner)` Constructor MixedJoin creates a new MixedJoin instance.

Method Summary
`Iterator<Tuple>` `getIterator(GroupClosure closure)` Returns an iterator that joins the given CoGroupClosure co-groups.
`int` `numJoins()` Returns the number of joins this instance can handle.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### INNER

    public static boolean INNER

  Field INNER

### OUTER

    public static boolean OUTER

  Field OUTER

Constructor Detail

### MixedJoin

    public MixedJoin(boolean[] asInner)

  Constructor MixedJoin creates a new MixedJoin instance.

  Parameters:
    `asInner` - of type boolean[]

Method Detail

### numJoins

    public int numJoins()

  Description copied from interface: `Joiner`
  Returns the number of joins this instance can handle. A value of -1 denotes there is no limit.

  Specified by:
    `numJoins` in interface `Joiner`
  Returns:
    an int
  See Also:
    `Joiner.numJoins()`

### getIterator

    public Iterator<Tuple> getIterator(GroupClosure closure)

  Description copied from interface: `Joiner`
  Returns an iterator that joins the given CoGroupClosure co-groups.

  Specified by:
    `getIterator` in interface `Joiner`
  Parameters:
    `closure` - of type GroupClosure
  Returns:
    an iterator

Copyright © 2007-2010 Concurrent, Inc. All Rights Reserved.